=== debian/changelog ===
libxmp (4.6.1-2) unstable; urgency=medium

  * Add missing build dependency on rst2pdf. Thanks to Gui-Yue for
    noticing the problem! Closes: #1092197.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jan 2025 06:47:30 +0100

libxmp (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Relicense the Debian packaging to match upstream.
  * Include the documentation in the build, and remove the Google fonts
    import to avoid network access.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jan 2025 17:11:39 +0100
