=== debian/changelog ===
libxmp (4.6.2-2) unstable; urgency=medium

  * Apply upstream fix for CVE-2025-47256.

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 May 2025 08:44:26 +0200

libxmp (4.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 21:06:42 +0100
