## libxmp 4.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.4...3.10)
-project(libxmp VERSION 4.6.2 LANGUAGES C)
+project(libxmp VERSION 4.6.3 LANGUAGES C)
 
 set(LIBXMP_DEFINES)
 set(LIBXMPLITE_DEFINES)
@@ -54,6 +54,9 @@
 if(MSVC)
     list(APPEND LIBXMP_DEFINES _USE_MATH_DEFINES)
     list(APPEND LIBXMPLITE_DEFINES _USE_MATH_DEFINES)
+else()
+    list(APPEND LIBXMP_DEFINES _REENTRANT)
+    list(APPEND LIBXMPLITE_DEFINES _REENTRANT)
 endif()
 
 #for libxmp-lite.pc
@@ -316,5 +319,3 @@
 write_basic_package_version_file(libxmp-config-version.cmake
     COMPATIBILITY AnyNewerVersion
 )
-if(TARGET xmp_shared)
-    install(TARGETS xmp_shared EXPORT libxmp_shared_exports
