=== debian/changelog ===
libxmp (4.6.3-1) unstable; urgency=medium

  * New upstream release, merging cve-2025-47256.patch.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Aug 2025 20:26:22 +0200
