=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), python3-docutils, rst2pdf
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
