=== debian/watch ===
version=4

http://sf.net/xmp/libxmp-([\d\.]+)\.tar\.gz
