## libxmp 4.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.4...3.10)
-project(libxmp VERSION 4.6.3 LANGUAGES C)
+cmake_minimum_required(VERSION 3.2...3.10)
+project(libxmp VERSION 4.7.0 LANGUAGES C)
 
 set(LIBXMP_DEFINES)
 set(LIBXMPLITE_DEFINES)
@@ -8,7 +8,6 @@
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/libxmp-checks.cmake)
 include(GNUInstallDirs)
 
-# -fPIC thing
 if(NOT WIN32 AND NOT EMSCRIPTEN AND NOT VITA)
     option(LIBXMP_PIC   "Build the static library as position-independent" OFF)
 else()
@@ -95,7 +94,8 @@
     target_compile_definitions(xmp_static PUBLIC LIBXMP_STATIC)
 
     if(LIBXMP_PIC)
-        target_compile_options(xmp_static PRIVATE -fPIC)
+        set_target_properties(xmp_static PROPERTIES
+                    POSITION_INDEPENDENT_CODE TRUE)
     endif()
 
     target_include_directories(xmp_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>")
@@ -121,7 +121,8 @@
         target_compile_definitions(xmp_lite_static PUBLIC LIBXMP_STATIC)
 
         if(LIBXMP_PIC)
-            target_compile_options(xmp_lite_static PRIVATE -fPIC)
+            set_target_properties(xmp_lite_static PROPERTIES
+                             POSITION_INDEPENDENT_CODE TRUE)
         endif()
 
         target_include_directories(xmp_lite_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>")
@@ -300,7 +301,7 @@
 
 include(CMakePackageConfigHelpers)
 
-if(WIN32)
+if(WIN32 AND NOT MINGW)
     set(cmake_install_cmakdir "cmake")
     set(cmake_install_cmakdir_lite "cmake")
 else()
@@ -316,6 +317,3 @@
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libxmp.pc.in"
                "${CMAKE_CURRENT_BINARY_DIR}/libxmp.pc" @ONLY
 )
-write_basic_package_version_file(libxmp-config-version.cmake
-    COMPATIBILITY AnyNewerVersion
-)
