=== debian/changelog ===
libxmp (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to track upstream VCS tags.
  * Drop cmake-multiarch-paths.patch, with the switch to CMake the build
    no longer uses libxmp-config.cmake.autotools.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 Feb 2026 09:02:17 +0100

libxmp (4.6.3-2) unstable; urgency=medium

  * Build the PDF documentation without date information so that it is
    identical across builds.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Build with CMake; this produces modules that correctly handle /lib
    linked to /usr/lib. Closes: #1117778.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Feb 2026 17:53:42 +0100
