=== debian/control ===
Source: libxmp
Section: libs
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 4.7.3
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 ninja-build,
 python3-docutils,
 rst2pdf
Homepage: http://xmp.sourceforge.net/
Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
Vcs-Browser: https://salsa.debian.org/mod-player-team/libxmp

Package: libxmp4
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: module file rendering library
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).

Package: libxmp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxmp4 (= ${binary:Version}),
 ${misc:Depends}
Description: module file rendering library -- development files
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).
 .
 This package contains the development files required to build with
 libxmp.
